Access

List API keys owned by the current user

GET
/api/api-keys

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Response Body

Response for status 200

application/json
  1. response
keys*array<>
Example Request
curl -X GET 'https://postbot.example/api/api-keys'
Example Response
{
  "keys": [
    {
      "id": "string",
      "name": "string",
      "tokenPrefix": "string",
      "projectAccess": "all",
      "actionAccess": "all",
      "expiresAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?